Project

General

Profile

Bug #3540

Cellular Network Infrastructure - Bug #3176: osmocom debian packages are not install / upgrade tested

Conflicting Debian packages: osmocom-bsc-sccplite and osmo-bsc-mgcp

Added by osmith 2 months ago. Updated about 2 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
-
Start date:
09/10/2018
Due date:
% Done:

100%

Spec Reference:

Description

During the implementation of #3176 I have discovered the following conflict when installing both packages:

dpkg: error processing archive /tmp/apt-dpkg-install-MovoKD/308-osmocom-bsc-sccplite_1.1.0.20180909_amd64.deb (--unpack):
trying to overwrite '/usr/bin/osmo-bsc_mgcp', which is also in package osmo-bsc-mgcp 1.1.0.20180909

Related issues

Related to OsmoTRX - Bug #3542: Conflicting Debian packages: soapysdr0.5-module-lms7 and soapysdr0.6-module-lms7Rejected2018-09-10

Related to Cellular Network Infrastructure - Bug #3543: Conflicting Debian packages: abisip-find and osmocom-ipaccess-utilsClosed2018-09-10

Related to OsmoBSC - Bug #3544: Conflicting Debian packages: osmo-bsc-* and osmocom-*Closed2018-09-10

History

#1 Updated by osmith 2 months ago

  • Parent task set to #3176

#2 Updated by neels 2 months ago

  • osmocom-bsc-sccplite comes from openbsc.git
  • osmo-bsc-mgcp has recently been removed from osmo-mgw.git, but you'll still find it in the Latest feeds, as an osmo-mgw.git derived package.

The point being: openbsc.git is the legacy all-in-one software implementation of the core network and BSC, it is no longer in active development.
We have split it up in osmo-bsc, osmo-msc, osmo-sgsn, osmo-hlr, osmo-mgw, the new bleeding edge Osmocom core + BSC suite.
So it makes sense that these conflict, and it we should check the openbsc.git derived packages separately from the new ones.

#3 Updated by neels 2 months ago

  • Status changed from New to Feedback
  • Assignee set to osmith

#4 Updated by neels 2 months ago

  • Related to Bug #3542: Conflicting Debian packages: soapysdr0.5-module-lms7 and soapysdr0.6-module-lms7 added

#5 Updated by neels 2 months ago

  • Related to Bug #3543: Conflicting Debian packages: abisip-find and osmocom-ipaccess-utils added

#6 Updated by neels 2 months ago

  • Related to Bug #3544: Conflicting Debian packages: osmo-bsc-* and osmocom-* added

#7 Updated by osmith 2 months ago

  • Status changed from Feedback to Closed

#8 Updated by laforge about 2 months ago

  • % Done changed from 0 to 100

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 48.8 MB)